using System;

namespace tak1
{
    class Program 
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine()), y = int.Parse(Console.ReadLine());
            int n = x.ToString().Length;
            int n1 = y.ToString().Length;
            if (n < n1)
            {
                n = n1;
            }
            double z = Math.Pow(10, n);
            int mod = Convert.ToInt32(z) / 10;
            for (mod = mod; mod >= 1; mod/=10)
            {
                if (x / mod % 10 > y / mod % 10)
                {
                    Console.Write(x / mod % 10);
                }
                else if (x / mod % 10 == y / mod % 10)
                {
                    Console.Write(x / mod % 10 + "" + y / mod % 10);
                }
                else
                {
                    Console.Write(y / mod % 10);
                }
            }
        }
    }
}